modified script calls

to enable multidestro support

Signed-off-by: Aadithyan Raju <93834376+AadithyanRaju@users.noreply.github.com>
This commit is contained in:
Aadithyan Raju 2025-03-23 08:49:04 +00:00
parent fdb773449d
commit 325b056e9d
75 changed files with 96 additions and 97 deletions

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail
function print() {

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail
function print() {

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail
function print() {

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail
shellcheck --version

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail
function print() {

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail
cd "$(dirname "$0")/../.."

View file

@ -1,4 +1,4 @@
#!/bin/bash -e
#!/usr/bin/env bash -e
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -euo pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -eou pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -eo pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -eou pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright contributors to the Hyperledgendary Full Stack Asset Transfer project
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright contributors to the Hyperledger Fabric Operator project
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright contributors to the Hyperledger Fabric Operator project
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright contributors to the Hyperledger Fabric Operator project
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright contributors to the Hyperledger Fabric Operator project
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright contributors to the Hyperledger Fabric Operator project
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright contributors to the Hyperledger Fabric Operator project
#

View file

@ -50,7 +50,7 @@ cluster_type := env_var_or_default("WORKSHOP_CLUSTER_TYPE", "k8s")
# Start a local KIND cluster with nginx, localhost:5000 registry, and *.localho.st alias in kube DNS
kind: unkind
#!/bin/bash
#!/usr/bin/env bash
set -e -o pipefail
infrastructure/kind_with_nginx.sh {{cluster_name}}
@ -62,7 +62,7 @@ kind: unkind
# Shut down the KIND cluster
unkind:
#!/bin/bash
#!/usr/bin/env bash
kind delete cluster --name {{cluster_name}}
if docker inspect kind-registry &>/dev/null; then
@ -73,7 +73,7 @@ unkind:
# Bring up the nginx ingress controller on the target k8s cluster
nginx:
#!/bin/bash
#!/usr/bin/env bash
kubectl apply -k https://github.com/hyperledger-labs/fabric-operator.git/config/ingress/{{ cluster_runtime }}
sleep 20
@ -130,7 +130,7 @@ test-console:
# Shut down the microfab (uf) instance
microfab-down:
#!/bin/bash
#!/usr/bin/env bash
if docker inspect microfab &>/dev/null; then
echo "Removing existing microfab container:"
@ -140,7 +140,7 @@ microfab-down:
# Start a micro fab instance and create configuration in _cfg/uf
microfab: microfab-down
#!/bin/bash
#!/usr/bin/env bash
set -e -o pipefail
export CFG=$CWDIR/_cfg/uf
@ -207,7 +207,7 @@ microfab: microfab-down
# Creates a chaincode package and install/approve/commit
debugcc:
#!/bin/bash
#!/usr/bin/env bash
set -e -o pipefail
export CFG=$CWDIR/_cfg/uf
@ -297,7 +297,7 @@ ansible-doit: ansible-review-config ansible-operator ansible-console ansible-net
# Review the Ansible Blockchain Collection configuration in _cfg/
ansible-review-config:
#!/bin/bash
#!/usr/bin/env bash
mkdir -p ${CWDIR}/_cfg
rm -rf ${CWDIR}/_cfg/* || true
@ -333,7 +333,7 @@ ansible-review-config:
# Start the Kubernetes fabric-operator with the Ansible Blockchain Collection
ansible-ingress:
#!/bin/bash
#!/usr/bin/env bash
set -ex -o pipefail
export EXTRAS=""
@ -355,7 +355,7 @@ ansible-ingress:
# Start the Kubernetes fabric-operator with the Ansible Blockchain Collection
ansible-operator:
#!/bin/bash
#!/usr/bin/env bash
set -ex -o pipefail
export EXTRAS=""
@ -374,7 +374,7 @@ ansible-operator:
# Start the Fabric Operations Console with the Ansible Blockchain Collection
ansible-console:
#!/bin/bash
#!/usr/bin/env bash
set -ex -o pipefail
export EXTRAS=""
@ -392,7 +392,7 @@ ansible-console:
ansible-playbook /playbooks/02-console-install.yml
ansible-auth:
#!/bin/bash
#!/usr/bin/env bash
set -ex -o pipefail
AUTH=$(curl -X POST https://{{namespace}}-hlf-console-console.{{ingress_domain}}:443/ak/api/v2/permissions/keys -u admin:password -k -H 'Content-Type: application/json' -d '{"roles": ["writer", "manager"],"description": "newkey"}')
@ -411,7 +411,7 @@ ansible-auth:
# Build a sample Fabric network with the Ansible Blockchain Collection
ansible-network: ansible-auth
#!/bin/bash
#!/usr/bin/env bash
set -ex -o pipefail
export EXTRAS=""
@ -432,7 +432,7 @@ ansible-network: ansible-auth
# Bring down the sample network created with the Ansible Blockchain Collection
ansible-network-down:
#!/bin/bash
#!/usr/bin/env bash
set -ex -o pipefail
kubectl delete namespace {{ namespace }} --ignore-not-found
@ -440,7 +440,7 @@ ansible-network-down:
# Build a chaincode package with Ansible Blockchain Collection
ansible-build-chaincode:
#!/bin/bash
#!/usr/bin/env bash
set -ex -o pipefail
pushd ${CWDIR}/contracts/asset-transfer-typescript
@ -461,7 +461,7 @@ ansible-build-chaincode:
# Deploy a chaincode package with the Ansible Blockchain Collection
ansible-deploy-chaincode:
#!/bin/bash
#!/usr/bin/env bash
set -ex -o pipefail
export EXTRAS=""
@ -502,7 +502,7 @@ ansible-deploy-chaincode:
# Creates a new identity for an application to use
ansible-ready-application:
#!/bin/bash
#!/usr/bin/env bash
set -ex -o pipefail
export EXTRAS=""

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -v -eou pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -v -eou pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -v -eou pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
set -v -eou pipefail

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp. All Rights Reserved.
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
function one_line_pem {
echo "`awk 'NF {sub(/\\n/, ""); printf "%s\\\\\\\n",$0;}' $1`"

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
function one_line_pem {
echo "`awk 'NF {sub(/\\n/, ""); printf "%s\\\\\\\n",$0;}' $1`"

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
# This script uses the logspout and http stream tools to let you watch the docker containers
# in action.

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#
@ -265,7 +265,7 @@ function createOrgs() {
fi
infoln "Generating CCP files for Org1 and Org2"
bash ./organizations/ccp-generate.sh
./organizations/ccp-generate.sh
}
# Once you create the organization crypto material, you need to create the
@ -348,13 +348,13 @@ function createChannel() {
# now run the script that creates a channel. This script uses configtxgen once
# to create the channel creation transaction and the anchor peer updates.
bash scripts/createChannel.sh $CHANNEL_NAME $CLI_DELAY $MAX_RETRY $VERBOSE $bft_true
scripts/createChannel.sh $CHANNEL_NAME $CLI_DELAY $MAX_RETRY $VERBOSE $bft_true
}
## Call the script to deploy a chaincode to the channel
function deployCC() {
bash scripts/deployCC.sh $CHANNEL_NAME $CC_NAME $CC_SRC_PATH $CC_SRC_LANGUAGE $CC_VERSION $CC_SEQUENCE $CC_INIT_FCN $CC_END_POLICY $CC_COLL_CONFIG $CLI_DELAY $MAX_RETRY $VERBOSE
scripts/deployCC.sh $CHANNEL_NAME $CC_NAME $CC_SRC_PATH $CC_SRC_LANGUAGE $CC_VERSION $CC_SEQUENCE $CC_INIT_FCN $CC_END_POLICY $CC_COLL_CONFIG $CLI_DELAY $MAX_RETRY $VERBOSE
if [ $? -ne 0 ]; then
fatalln "Deploying chaincode failed"

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
function one_line_pem {
echo "`awk 'NF {sub(/\\n/, ""); printf "%s\\\\\\\n",$0;}' $1`"

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
# Copyright 2023 Aditya Joshi, All rights reserved
function peer_cert() {

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
function createOrg1() {
infoln "Enrolling the CA admin"

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
# installChaincode PEER ORG
function installChaincode() {

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp. All Rights Reserved.
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
# imports
. scripts/envVar.sh

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
source scripts/utils.sh
@ -69,7 +69,7 @@ function checkPrereqs() {
checkPrereqs
## package the chaincode
bash ./scripts/packageCC.sh $CC_NAME $CC_SRC_PATH $CC_SRC_LANGUAGE $CC_VERSION
./scripts/packageCC.sh $CC_NAME $CC_SRC_PATH $CC_SRC_LANGUAGE $CC_VERSION
PACKAGE_ID=$(peer lifecycle chaincode calculatepackageid ${CC_NAME}.tar.gz)

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
#
# Copyright IBM Corp. All Rights Reserved.

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp All Rights Reserved
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
channel_name=$1

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
channel_name=$1

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
channel_name=$1

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
channel_name=$1

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp. All Rights Reserved.
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp. All Rights Reserved.
#

View file

@ -1,6 +1,4 @@
#!/bin/bash
#!/bin/bash
#!/usr/bin/env bash
source scripts/utils.sh

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# SPDX-License-Identifier: Apache-2.0

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Copyright IBM Corp. All Rights Reserved.
#

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
C_RESET='\033[0m'
C_RED='\033[0;31m'
@ -210,6 +210,7 @@ function installPrereqs() {
FILE=../install-fabric.sh
if [ ! -f $FILE ]; then
curl -sSLO https://raw.githubusercontent.com/hyperledger/fabric/main/scripts/install-fabric.sh && chmod +x install-fabric.sh
sed -i '1s|.*|#!/usr/bin/env bash|' install-fabric.sh
cp install-fabric.sh ..
fi
@ -224,7 +225,7 @@ function installPrereqs() {
fi
cd ..
bash ./install-fabric.sh ${IMAGE_PARAMETER} ${CA_IMAGE_PARAMETER} docker binary
./install-fabric.sh ${IMAGE_PARAMETER} ${CA_IMAGE_PARAMETER} docker binary
}

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# SPDX-License-Identifier: Apache-2.0

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# This script fully tears down and deletes all artifacts from the sample network that was started with ./scripts/up.sh.

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# Register and enroll all identities needed for the Token network.

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#
# This script generates crypto, starts Fabric, deploys the chaincode and starts the token nodes.